package com.bjlt.spider.hangbanguanjia.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 14:18 2017/12/18
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class Cabin {
    /**
     * 子舱位
     */
    private String ct;
    /**
     * 基础舱位，Y/C/F
     */
    private String bct;

    /**
     * 对应请求中第几个 Trip，从 0 开始
     */
    private int seq;

    /**
     * 取值 0-9 或 A
     */
    private String left;

    /**
     * 此航班的成人行李规定
     */
    private Baggage adultBaggage;

    /**
     * 此航班的儿童行李规定
     */
    private Baggage childBaggage;
}
