package com.bjlt.spider.hangbanguanjia.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 14:28 2017/12/18
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class Charge {
    /**
     * 以起飞时刻为 0 计算的时间段起始分钟数，如起飞前 48 小时为-2880
     */
    private int from;

    /**
     * 以起飞时刻为 0 计算的时间段终止分钟数，如起飞前 2 小 时为-120
     */
    private int to;

    /**
     * 所需费用，-1 表示不允许
     */
    private int fee;

}
