package com.bjlt.spider.hangbanguanjia.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 14:15 2017/12/18
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class Stop {
    /**
     * 机场三字码
     */
    private String name;
    /**
     * 经停时间分钟数
     */
    private String minutes;
    /**
     * 到达时间，格式为 yyyy-MM-dd HH:mm
     */
    private String at;
    /**
     * 起飞时间，格式为 yyyy-MM-dd HH:mm
     */
    private String dt;
}
