package com.bjlt.spider.hangbanguanjia.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 14:17 2017/12/18
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class Trip {
    /**
     * 出发城市三字码
     */
    private String fromCity;
    /**
     * 到达城市三字码
     */
    private String toCity;

    /**
     * 日期，yyyy-MM-dd
     */
    private String date;

    /**
     * 航班列表，对应 Flight.id
     */
    private Integer[] flights;
}
