//package com.bjlt.spider.mq;
//
//import com.alibaba.fastjson.JSONObject;
//import com.bjlt.spider.entity.*;
//import com.bjlt.spider.orderInfo.service.OrOrdertbService;
//import com.bjlt.spider.qunaer.entity.PassengersInfo;
//import com.bjlt.spider.qunaer.entity.QunaerOrderParams;
//import com.bjlt.spider.qunaer.entity.QunarRoutings;
//import com.bjlt.spider.taobao.entity.TaobaoPassengerAux;
//import com.bjlt.spider.util.RedisPrefix;
//import com.bjlt.spider.util.RespEntity;
//import com.bjlt.spider.utils.RestTemplateUtils;
//import com.fasterxml.jackson.databind.ObjectMapper;
//import com.rabbitmq.client.Channel;
//import com.rabbitmq.client.Connection;
//import com.rabbitmq.client.ConnectionFactory;
//import com.rabbitmq.client.QueueingConsumer;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.BeanUtils;
//import org.springframework.data.redis.core.RedisTemplate;
//
//import java.util.*;
//import java.util.concurrent.TimeUnit;
//import java.util.concurrent.TimeoutException;
//
///**
// * @author: Scott
// * @Description:
// * @Date: Create in 00:37 2017/12/2
// */
//@Slf4j
//public class ConsumerLisenter implements Runnable {
//
//    private Integer index;
//
//
//    private ObjectMapper objectMapper = new ObjectMapper();
//
//
//    private ConnectionFactory factory;
//
//    private String queneName;
//
//    private RedisTemplate redisTemplate;
//
//    private OrOrdertbService orOrdertbService;
//
//    public ConsumerLisenter(Integer index, ConnectionFactory factory, String queneName, RedisTemplate redisTemplate, OrOrdertbService orOrdertbService) {
//        this.index = index;
//        this.factory = factory;
//        this.queneName = queneName;
//        this.redisTemplate = redisTemplate;
//        this.orOrdertbService = orOrdertbService;
//    }
//
//    @Override
//    public void run() {
//        Connection connection = null;
//
//        try {
//            connection = factory.newConnection();
//            Channel channel = connection.createChannel();
//            QueueingConsumer consumer = new QueueingConsumer(channel);
//
//            channel.queueDeclare(queneName, true, false, false, null);
//            channel.basicQos(1);
//
//
//            log.info("生单队列{}在此等候", index);
//            channel.basicConsume(queneName, true, consumer);
//
//            while (true) {
//                QueueingConsumer.Delivery delivery = consumer.nextDelivery();
//                QunaerOrderParams params = null;
//                try {
//                    log.info("生单队列{}有新订单", index);
//                    params = (QunaerOrderParams) ByteUtil.getObject(delivery.getBody());
//                } catch (ClassNotFoundException e) {
//                    e.printStackTrace();
//                }
//
//
//}
//
