package com.bjlt.spider.orderInfo.dao.impl;


import com.bjlt.spider.orderInfo.dao.LocalAdditionalServicesDao;
import com.bjlt.spider.orderInfo.entity.LocalAdditionalServices;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.*;

import org.springframework.stereotype.Repository;

import java.util.*;
import java.util.stream.*;
/**
* local_additional_services
*/
@Repository
public class LocalAdditionalServicesDaoImpl implements LocalAdditionalServicesDao {
	@Autowired
	private JdbcTemplate jdbcTemplate;
	@Override
	public List<LocalAdditionalServices> listPageLocalAdditionalServices(LocalAdditionalServices localAdditionalServices) {
		StringBuffer s=new StringBuffer();
		String select = "select id, order_no, counts, product_type, type_details, status, passenger, last_handle_time, flight_segment, flight_number, price, supply_cotract_tel, edit_user, update_time from local_additional_services ";
		s.append(select );
        Map<String,Object> m=map(localAdditionalServices);
        String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
		localAdditionalServices.setTotal(count(where,m.values().toArray()));
		s.append(where);

		String limit = " limit " + (localAdditionalServices.getStart()-1)*localAdditionalServices.getSize() + "," + localAdditionalServices.getSize();

		s.append(limit);
		RowMapper<LocalAdditionalServices> rowMapper = new BeanPropertyRowMapper<LocalAdditionalServices>(LocalAdditionalServices.class);
		List<LocalAdditionalServices> list = jdbcTemplate.query(s.toString(), rowMapper,m.values().toArray());

		return list;
	}



    @Override
    public void insertSelective(LocalAdditionalServices localAdditionalServices) {
		StringBuffer s = new StringBuffer();
		s.append("insert into local_additional_services(");
        Map<String, Object> m = map(localAdditionalServices);
        s.append(String.join(",", m.keySet()));
        s.append(") values (");
		List<String> wenhao = m.keySet().stream().map(t -> "?").collect(Collectors.toList());

	s.append(String.join(",", wenhao));
		s.append(")");
        System.out.println(s.toString());
        jdbcTemplate.update(s.toString(), m.values().toArray());
	}

    @Override
    public void updateByPrimaryKeySelective(LocalAdditionalServices localAdditionalServices) {
		StringBuffer s = new StringBuffer();
		s.append("update local_additional_services set ");
        Map<String, Object> m = map(localAdditionalServices);
        String update = m.keySet().stream().map(t -> t + "=?").collect(Collectors.joining(","));
        s.append(update);
        System.out.println(update);
        s.append(" where 	id=" + localAdditionalServices.getId());
        jdbcTemplate.update(s.toString(), m.values().toArray());

	}



    @Override
    public List<LocalAdditionalServices> listLocalAdditionalServices(LocalAdditionalServices localAdditionalServices) {
        StringBuffer s=new StringBuffer();
        String select = "select id, order_no, counts, product_type, type_details, status, passenger, last_handle_time, flight_segment, flight_number, price, supply_cotract_tel, edit_user, update_time from local_additional_services ";
        s.append(select );
        Map<String,Object> m=map(localAdditionalServices);
        String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
        s.append(where);
        RowMapper<LocalAdditionalServices> rowMapper = new BeanPropertyRowMapper<LocalAdditionalServices>(LocalAdditionalServices.class);
        List<LocalAdditionalServices> list = jdbcTemplate.query(s.toString(), rowMapper,m.values().toArray());

        return list;
	}
	public void  deleteLocalAdditionalServices(LocalAdditionalServices localAdditionalServices){
		StringBuffer s=new StringBuffer();
		String select = "delete  from local_additional_services ";
        Map<String,Object> m=map(localAdditionalServices);
        s.append(select);
        String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
        s.append(where);
		jdbcTemplate.update(s.toString(),m.values().toArray());

	}
	private static Map<String,Object> map(LocalAdditionalServices localAdditionalServices) {
		Map<String,Object> map=new HashMap();
    	if (localAdditionalServices.getId() != null) {
            map.put("id",localAdditionalServices.getId());
    	}
    	if (localAdditionalServices.getOrderNo() != null && !localAdditionalServices.getOrderNo().equals("")) {
            map.put("order_no",localAdditionalServices.getOrderNo());
    	}
    	if (localAdditionalServices.getCounts() != null) {
            map.put("counts",localAdditionalServices.getCounts());
    	}
    	if (localAdditionalServices.getProductType() != null && !localAdditionalServices.getProductType().equals("")) {
            map.put("product_type",localAdditionalServices.getProductType());
    	}
    	if (localAdditionalServices.getTypeDetails() != null && !localAdditionalServices.getTypeDetails().equals("")) {
            map.put("type_details",localAdditionalServices.getTypeDetails());
    	}
    	if (localAdditionalServices.getStatus() != null && !localAdditionalServices.getStatus().equals("")) {
            map.put("status",localAdditionalServices.getStatus());
    	}
    	if (localAdditionalServices.getPassenger() != null && !localAdditionalServices.getPassenger().equals("")) {
            map.put("passenger",localAdditionalServices.getPassenger());
    	}
    	if (localAdditionalServices.getLastHandleTime() != null && !localAdditionalServices.getLastHandleTime().equals("")) {
            map.put("last_handle_time",localAdditionalServices.getLastHandleTime());
    	}
    	if (localAdditionalServices.getFlightSegment() != null && !localAdditionalServices.getFlightSegment().equals("")) {
            map.put("flight_segment",localAdditionalServices.getFlightSegment());
    	}
    	if (localAdditionalServices.getFlightNumber() != null && !localAdditionalServices.getFlightNumber().equals("")) {
            map.put("flight_number",localAdditionalServices.getFlightNumber());
    	}
    	if (localAdditionalServices.getPrice() != null) {
            map.put("price",localAdditionalServices.getPrice());
    	}
    	if (localAdditionalServices.getSupplyCotractTel() != null && !localAdditionalServices.getSupplyCotractTel().equals("")) {
            map.put("supply_cotract_tel",localAdditionalServices.getSupplyCotractTel());
    	}
    	if (localAdditionalServices.getEditUser() != null && !localAdditionalServices.getEditUser().equals("")) {
            map.put("edit_user",localAdditionalServices.getEditUser());
    	}
    	if (localAdditionalServices.getUpdateTime() != null && !localAdditionalServices.getUpdateTime().equals("")) {
            map.put("update_time",localAdditionalServices.getUpdateTime());
    	}

		return map;

	}
	private Integer count(String where,Object[] objects) {
		String sql = "select count(*) from local_additional_services " + where;
		return jdbcTemplate.queryForObject(sql, Integer.class,objects);
	}




}
