package com.bjlt.spider.orderInfo.dao.impl;


import com.bjlt.spider.entity.OrOrdertb;
import com.bjlt.spider.orderInfo.dao.OrOrdertbDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.*;

import org.springframework.stereotype.Repository;

import java.util.*;
import java.util.stream.*;
/**
 * or_ordertb
 */
@Repository
public class OrOrdertbDaoImpl implements OrOrdertbDao {
	@Autowired
	private JdbcTemplate jdbcTemplate;
	@Override
	public List<OrOrdertb> listPageOrOrdertb(OrOrdertb orOrdertb) {
		StringBuffer s=new StringBuffer();
		String select = "select id, orderno, flighttype, orderstatus, ordercodestatus, qunarusername, airlinecount, childrencount, adultscount, passengercount, adultprice, adulttax, childprice, childtax, oldallprice, allprice, nopay, bxfee, bxcount, policyid, source, pnrcode, pnrstatus, orderneedconfirm, returnticketrule, changedaterule, luggagerule, statement, payway, fzStatus, refundcause, contactname, contactmob, contacttel, contactemail, journeysheet, journeysheetno, journeysheetway, journeysheetprice, journeysheetstatu, receiver, postcode, address, remark, createtime, lastupdated, ticketdate, unfzTime, operator, ticketcostprice, mypayChannel, myticketSource, zhifufei, paycardno, cardname, paytaxprice, paytaxtype, policyidtype, ticketed, milecount, milecardno, miletype, paycardbackmoney, paycardbackmoneydate, opremark, policyuser, ordersource, mileperprice, bxbasefee, lastmodifiedpeople, lastmodifiedtime, othercost, otheraddprice, myticketMode, rate, commission, istravelcount, currencyamount, adfee, ticket_num, pro_cny, order_src, passenger_birth, passenger_name, passenger_gender, passenger_cardtype, passenger_cardnum, passenger_nanation from or_ordertb ";
		s.append(select );
		Map<String,Object> m=map(orOrdertb);
		String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
		orOrdertb.setTotal(count(where,m.values().toArray()));
		s.append(where);



		RowMapper<OrOrdertb> rowMapper = new BeanPropertyRowMapper<OrOrdertb>(OrOrdertb.class);
		List<OrOrdertb> list = jdbcTemplate.query(s.toString(), rowMapper,m.values().toArray());

		return list;
	}



	@Override
	public void insertSelective(OrOrdertb orOrdertb) {
		StringBuffer s = new StringBuffer();
		s.append("insert into or_ordertb(");
		Map<String, Object> m = map(orOrdertb);
		s.append(String.join(",", m.keySet()));
		s.append(") values (");
		List<String> wenhao = m.keySet().stream().map(t -> "?").collect(Collectors.toList());

		s.append(String.join(",", wenhao));
		s.append(")");
		System.out.println(s.toString());
		jdbcTemplate.update(s.toString(), m.values().toArray());
	}

	@Override
	public void updateByPrimaryKeySelective(OrOrdertb orOrdertb) {
		StringBuffer s = new StringBuffer();
		s.append("update or_ordertb set ");
		Map<String, Object> m = map(orOrdertb);
		String update = m.keySet().stream().map(t -> t + "=?").collect(Collectors.joining(","));
		s.append(update);
		System.out.println(update);
		s.append(" where 	id=" + orOrdertb.getId());
		jdbcTemplate.update(s.toString(), m.values().toArray());

	}



	@Override
	public List<OrOrdertb> listOrOrdertb(OrOrdertb orOrdertb) {
		StringBuffer s=new StringBuffer();
		String select = "select id, orderno, flighttype, orderstatus, ordercodestatus, qunarusername, airlinecount, childrencount, adultscount, passengercount, adultprice, adulttax, childprice, childtax, oldallprice, allprice, nopay, bxfee, bxcount, policyid, source, pnrcode, pnrstatus, orderneedconfirm, returnticketrule, changedaterule, luggagerule, statement, payway, fzStatus, refundcause, contactname, contactmob, contacttel, contactemail, journeysheet, journeysheetno, journeysheetway, journeysheetprice, journeysheetstatu, receiver, postcode, address, remark, createtime, lastupdated, ticketdate, unfzTime, operator, ticketcostprice, mypayChannel, myticketSource, zhifufei, paycardno, cardname, paytaxprice, paytaxtype, policyidtype, ticketed, milecount, milecardno, miletype, paycardbackmoney, paycardbackmoneydate, opremark, policyuser, ordersource, mileperprice, bxbasefee, lastmodifiedpeople, lastmodifiedtime, othercost, otheraddprice, myticketMode, rate, commission, istravelcount, currencyamount, adfee, ticket_num, pro_cny, order_src, passenger_birth, passenger_name, passenger_gender, passenger_cardtype, passenger_cardnum, passenger_nanation from or_ordertb ";
		s.append(select );
		Map<String,Object> m=map(orOrdertb);
		String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
		s.append(where);
		RowMapper<OrOrdertb> rowMapper = new BeanPropertyRowMapper<OrOrdertb>(OrOrdertb.class);
		List<OrOrdertb> list = jdbcTemplate.query(s.toString(), rowMapper,m.values().toArray());

		return list;
	}
	@Override
	public void  deleteOrOrdertb(OrOrdertb orOrdertb){
		StringBuffer s=new StringBuffer();
		String select = "delete  from or_ordertb ";
		Map<String,Object> m=map(orOrdertb);
		s.append(select);
		String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
		s.append(where);
		jdbcTemplate.update(s.toString(),m.values().toArray());

	}
	private static Map<String,Object> map(OrOrdertb orOrdertb) {
		Map<String,Object> map=new HashMap();
		if (orOrdertb.getId() != null) {
			map.put("id",orOrdertb.getId());
		}
		if (orOrdertb.getOrderno() != null && !orOrdertb.getOrderno().equals("")) {
			map.put("orderno",orOrdertb.getOrderno());
		}
		if (orOrdertb.getFlighttype() != null && !orOrdertb.getFlighttype().equals("")) {
			map.put("flighttype",orOrdertb.getFlighttype());
		}
		if (orOrdertb.getOrderstatus() != null && !orOrdertb.getOrderstatus().equals("")) {
			map.put("orderstatus",orOrdertb.getOrderstatus());
		}
		if (orOrdertb.getOrdercodestatus() != null && !orOrdertb.getOrdercodestatus().equals("")) {
			map.put("ordercodestatus",orOrdertb.getOrdercodestatus());
		}
		if (orOrdertb.getQunarusername() != null && !orOrdertb.getQunarusername().equals("")) {
			map.put("qunarusername",orOrdertb.getQunarusername());
		}
		if (orOrdertb.getAirlinecount() != null) {
			map.put("airlinecount",orOrdertb.getAirlinecount());
		}
		if (orOrdertb.getChildrencount() != null) {
			map.put("childrencount",orOrdertb.getChildrencount());
		}
		if (orOrdertb.getAdultscount() != null) {
			map.put("adultscount",orOrdertb.getAdultscount());
		}
		if (orOrdertb.getPassengercount() != null) {
			map.put("passengercount",orOrdertb.getPassengercount());
		}
		if (orOrdertb.getAdultprice() != null) {
			map.put("adultprice",orOrdertb.getAdultprice());
		}
		if (orOrdertb.getAdulttax() != null) {
			map.put("adulttax",orOrdertb.getAdulttax());
		}
		if (orOrdertb.getChildprice() != null) {
			map.put("childprice",orOrdertb.getChildprice());
		}
		if (orOrdertb.getChildtax() != null) {
			map.put("childtax",orOrdertb.getChildtax());
		}
		if (orOrdertb.getOldallprice() != null) {
			map.put("oldallprice",orOrdertb.getOldallprice());
		}
		if (orOrdertb.getAllprice() != null) {
			map.put("allprice",orOrdertb.getAllprice());
		}
		if (orOrdertb.getNopay() != null) {
			map.put("nopay",orOrdertb.getNopay());
		}
		if (orOrdertb.getBxfee() != null && !orOrdertb.getBxfee().equals("")) {
			map.put("bxfee",orOrdertb.getBxfee());
		}
		if (orOrdertb.getBxcount() != null && !orOrdertb.getBxcount().equals("")) {
			map.put("bxcount",orOrdertb.getBxcount());
		}
		if (orOrdertb.getPolicyid() != null) {
			map.put("policyid",orOrdertb.getPolicyid());
		}
		if (orOrdertb.getSource() != null && !orOrdertb.getSource().equals("")) {
			map.put("source",orOrdertb.getSource());
		}
		if (orOrdertb.getPnrcode() != null && !orOrdertb.getPnrcode().equals("")) {
			map.put("pnrcode",orOrdertb.getPnrcode());
		}
		if (orOrdertb.getPnrstatus() != null && !orOrdertb.getPnrstatus().equals("")) {
			map.put("pnrstatus",orOrdertb.getPnrstatus());
		}
		if (orOrdertb.getOrderneedconfirm() != null && !orOrdertb.getOrderneedconfirm().equals("")) {
			map.put("orderneedconfirm",orOrdertb.getOrderneedconfirm());
		}
		if (orOrdertb.getReturnticketrule() != null && !orOrdertb.getReturnticketrule().equals("")) {
			map.put("returnticketrule",orOrdertb.getReturnticketrule());
		}
		if (orOrdertb.getChangedaterule() != null && !orOrdertb.getChangedaterule().equals("")) {
			map.put("changedaterule",orOrdertb.getChangedaterule());
		}
		if (orOrdertb.getLuggagerule() != null && !orOrdertb.getLuggagerule().equals("")) {
			map.put("luggagerule",orOrdertb.getLuggagerule());
		}
		if (orOrdertb.getStatement() != null && !orOrdertb.getStatement().equals("")) {
			map.put("statement",orOrdertb.getStatement());
		}
		if (orOrdertb.getPayway() != null && !orOrdertb.getPayway().equals("")) {
			map.put("payway",orOrdertb.getPayway());
		}
		if (orOrdertb.getFzStatus() != null && !orOrdertb.getFzStatus().equals("")) {
			map.put("fzStatus",orOrdertb.getFzStatus());
		}
		if (orOrdertb.getRefundcause() != null && !orOrdertb.getRefundcause().equals("")) {
			map.put("refundcause",orOrdertb.getRefundcause());
		}
		if (orOrdertb.getContactname() != null && !orOrdertb.getContactname().equals("")) {
			map.put("contactname",orOrdertb.getContactname());
		}
		if (orOrdertb.getContactmob() != null && !orOrdertb.getContactmob().equals("")) {
			map.put("contactmob",orOrdertb.getContactmob());
		}
		if (orOrdertb.getContacttel() != null && !orOrdertb.getContacttel().equals("")) {
			map.put("contacttel",orOrdertb.getContacttel());
		}
		if (orOrdertb.getContactemail() != null && !orOrdertb.getContactemail().equals("")) {
			map.put("contactemail",orOrdertb.getContactemail());
		}
		if (orOrdertb.getJourneysheet() != null && !orOrdertb.getJourneysheet().equals("")) {
			map.put("journeysheet",orOrdertb.getJourneysheet());
		}
		if (orOrdertb.getJourneysheetno() != null && !orOrdertb.getJourneysheetno().equals("")) {
			map.put("journeysheetno",orOrdertb.getJourneysheetno());
		}
		if (orOrdertb.getJourneysheetway() != null && !orOrdertb.getJourneysheetway().equals("")) {
			map.put("journeysheetway",orOrdertb.getJourneysheetway());
		}
		if (orOrdertb.getJourneysheetprice() != null && !orOrdertb.getJourneysheetprice().equals("")) {
			map.put("journeysheetprice",orOrdertb.getJourneysheetprice());
		}
		if (orOrdertb.getJourneysheetstatu() != null && !orOrdertb.getJourneysheetstatu().equals("")) {
			map.put("journeysheetstatu",orOrdertb.getJourneysheetstatu());
		}
		if (orOrdertb.getReceiver() != null && !orOrdertb.getReceiver().equals("")) {
			map.put("receiver",orOrdertb.getReceiver());
		}
		if (orOrdertb.getPostcode() != null && !orOrdertb.getPostcode().equals("")) {
			map.put("postcode",orOrdertb.getPostcode());
		}
		if (orOrdertb.getAddress() != null && !orOrdertb.getAddress().equals("")) {
			map.put("address",orOrdertb.getAddress());
		}
		if (orOrdertb.getRemark() != null && !orOrdertb.getRemark().equals("")) {
			map.put("remark",orOrdertb.getRemark());
		}
		if (orOrdertb.getCreatetime() != null && !orOrdertb.getCreatetime().equals("")) {
			map.put("createtime",orOrdertb.getCreatetime());
		}
		if (orOrdertb.getLastupdated() != null && !orOrdertb.getLastupdated().equals("")) {
			map.put("lastupdated",orOrdertb.getLastupdated());
		}
		if (orOrdertb.getTicketdate() != null && !orOrdertb.getTicketdate().equals("")) {
			map.put("ticketdate",orOrdertb.getTicketdate());
		}
		if (orOrdertb.getUnfzTime() != null && !orOrdertb.getUnfzTime().equals("")) {
			map.put("unfzTime",orOrdertb.getUnfzTime());
		}
		if (orOrdertb.getOperator() != null && !orOrdertb.getOperator().equals("")) {
			map.put("operator",orOrdertb.getOperator());
		}
		if (orOrdertb.getTicketcostprice() != null) {
			map.put("ticketcostprice",orOrdertb.getTicketcostprice());
		}
		if (orOrdertb.getMypayChannel() != null && !orOrdertb.getMypayChannel().equals("")) {
			map.put("mypayChannel",orOrdertb.getMypayChannel());
		}
		if (orOrdertb.getMyticketSource() != null && !orOrdertb.getMyticketSource().equals("")) {
			map.put("myticketSource",orOrdertb.getMyticketSource());
		}
		if (orOrdertb.getZhifufei() != null) {
			map.put("zhifufei",orOrdertb.getZhifufei());
		}
		if (orOrdertb.getPaycardno() != null && !orOrdertb.getPaycardno().equals("")) {
			map.put("paycardno",orOrdertb.getPaycardno());
		}
		if (orOrdertb.getCardname() != null && !orOrdertb.getCardname().equals("")) {
			map.put("cardname",orOrdertb.getCardname());
		}
		if (orOrdertb.getPaytaxprice() != null && !orOrdertb.getPaytaxprice().equals("")) {
			map.put("paytaxprice",orOrdertb.getPaytaxprice());
		}
		if (orOrdertb.getPaytaxtype() != null && !orOrdertb.getPaytaxtype().equals("")) {
			map.put("paytaxtype",orOrdertb.getPaytaxtype());
		}
		if (orOrdertb.getPolicyidtype() != null && !orOrdertb.getPolicyidtype().equals("")) {
			map.put("policyidtype",orOrdertb.getPolicyidtype());
		}
		if (orOrdertb.getTicketed() != null && !orOrdertb.getTicketed().equals("")) {
			map.put("ticketed",orOrdertb.getTicketed());
		}
		if (orOrdertb.getMilecount() != null && !orOrdertb.getMilecount().equals("")) {
			map.put("milecount",orOrdertb.getMilecount());
		}
		if (orOrdertb.getMilecardno() != null && !orOrdertb.getMilecardno().equals("")) {
			map.put("milecardno",orOrdertb.getMilecardno());
		}
		if (orOrdertb.getMiletype() != null && !orOrdertb.getMiletype().equals("")) {
			map.put("miletype",orOrdertb.getMiletype());
		}
		if (orOrdertb.getPaycardbackmoney() != null && !orOrdertb.getPaycardbackmoney().equals("")) {
			map.put("paycardbackmoney",orOrdertb.getPaycardbackmoney());
		}
		if (orOrdertb.getPaycardbackmoneydate() != null && !orOrdertb.getPaycardbackmoneydate().equals("")) {
			map.put("paycardbackmoneydate",orOrdertb.getPaycardbackmoneydate());
		}
		if (orOrdertb.getOpremark() != null && !orOrdertb.getOpremark().equals("")) {
			map.put("opremark",orOrdertb.getOpremark());
		}
		if (orOrdertb.getPolicyuser() != null && !orOrdertb.getPolicyuser().equals("")) {
			map.put("policyuser",orOrdertb.getPolicyuser());
		}
		if (orOrdertb.getOrdersource() != null && !orOrdertb.getOrdersource().equals("")) {
			map.put("ordersource",orOrdertb.getOrdersource());
		}
		if (orOrdertb.getMileperprice() != null && !orOrdertb.getMileperprice().equals("")) {
			map.put("mileperprice",orOrdertb.getMileperprice());
		}
		if (orOrdertb.getBxbasefee() != null) {
			map.put("bxbasefee",orOrdertb.getBxbasefee());
		}
		if (orOrdertb.getLastmodifiedpeople() != null && !orOrdertb.getLastmodifiedpeople().equals("")) {
			map.put("lastmodifiedpeople",orOrdertb.getLastmodifiedpeople());
		}
		if (orOrdertb.getLastmodifiedtime() != null && !orOrdertb.getLastmodifiedtime().equals("")) {
			map.put("lastmodifiedtime",orOrdertb.getLastmodifiedtime());
		}
		if (orOrdertb.getOthercost() != null) {
			map.put("othercost",orOrdertb.getOthercost());
		}
		if (orOrdertb.getOtheraddprice() != null) {
			map.put("otheraddprice",orOrdertb.getOtheraddprice());
		}
		if (orOrdertb.getMyticketMode() != null && !orOrdertb.getMyticketMode().equals("")) {
			map.put("myticketMode",orOrdertb.getMyticketMode());
		}
		if (orOrdertb.getRate() != null && !orOrdertb.getRate().equals("")) {
			map.put("rate",orOrdertb.getRate());
		}
		if (orOrdertb.getCommission() != null) {
			map.put("commission",orOrdertb.getCommission());
		}
		if (orOrdertb.getIstravelcount() != null && !orOrdertb.getIstravelcount().equals("")) {
			map.put("istravelcount",orOrdertb.getIstravelcount());
		}
		if (orOrdertb.getCurrencyamount() != null) {
			map.put("currencyamount",orOrdertb.getCurrencyamount());
		}
		if (orOrdertb.getAdfee() != null) {
			map.put("adfee",orOrdertb.getAdfee());
		}
		if (orOrdertb.getTicketNum() != null && !orOrdertb.getTicketNum().equals("")) {
			map.put("ticket_num",orOrdertb.getTicketNum());
		}
		if (orOrdertb.getProCny() != null && !orOrdertb.getProCny().equals("")) {
			map.put("pro_cny",orOrdertb.getProCny());
		}
		if (orOrdertb.getOrderSrc() != null && !orOrdertb.getOrderSrc().equals("")) {
			map.put("order_src",orOrdertb.getOrderSrc());
		}
		if (orOrdertb.getPassengerBirth() != null && !orOrdertb.getPassengerBirth().equals("")) {
			map.put("passenger_birth",orOrdertb.getPassengerBirth());
		}
		if (orOrdertb.getPassengerName() != null && !orOrdertb.getPassengerName().equals("")) {
			map.put("passenger_name",orOrdertb.getPassengerName());
		}
		if (orOrdertb.getPassengerGender() != null && !orOrdertb.getPassengerGender().equals("")) {
			map.put("passenger_gender",orOrdertb.getPassengerGender());
		}
		if (orOrdertb.getPassengerCardtype() != null && !orOrdertb.getPassengerCardtype().equals("")) {
			map.put("passenger_cardtype",orOrdertb.getPassengerCardtype());
		}
		if (orOrdertb.getPassengerCardnum() != null && !orOrdertb.getPassengerCardnum().equals("")) {
			map.put("passenger_cardnum",orOrdertb.getPassengerCardnum());
		}
		if (orOrdertb.getPassengerNanation() != null && !orOrdertb.getPassengerNanation().equals("")) {
			map.put("passenger_nanation",orOrdertb.getPassengerNanation());
		}

		return map;

	}
	private Integer count(String where,Object[] objects) {
		String sql = "select count(*) from or_ordertb " + where;
		return jdbcTemplate.queryForObject(sql, Integer.class,objects);
	}




}
