package com.bjlt.spider.orderInfo.service.impl;
import java.util.*;

import com.bjlt.spider.orderInfo.dao.LocalAdditionalServicesDao;
import com.bjlt.spider.orderInfo.entity.LocalAdditionalServices;
import com.bjlt.spider.orderInfo.service.LocalAdditionalServicesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * local_additional_services
 */
@Service
public  class LocalAdditionalServicesServiceImpl implements LocalAdditionalServicesService {
    @Autowired
	private LocalAdditionalServicesDao localAdditionalServicesDao;
	
	@Override
	public List<LocalAdditionalServices> listPageLocalAdditionalServices(LocalAdditionalServices localAdditionalServices){
		return localAdditionalServicesDao.listPageLocalAdditionalServices(localAdditionalServices);
	}

	@Override
	public List<LocalAdditionalServices> listLocalAdditionalServices(LocalAdditionalServices localAdditionalServices){
	    return localAdditionalServicesDao.listLocalAdditionalServices(localAdditionalServices);
	}  

	
	@Override
	public void  deleteLocalAdditionalServices(LocalAdditionalServices localAdditionalServices){
	     localAdditionalServicesDao.deleteLocalAdditionalServices(localAdditionalServices);
	}
	

	
	@Override
	public void insertSelective(LocalAdditionalServices localAdditionalServices){
	 localAdditionalServicesDao.insertSelective(localAdditionalServices);
	}
	
	@Override
	public void updateByPrimaryKeySelective(LocalAdditionalServices localAdditionalServices){
		 localAdditionalServicesDao.updateByPrimaryKeySelective(localAdditionalServices);
	}
	
}