package com.bjlt.spider.policy.service.impl;

import com.bjlt.spider.entity.AirlineInfomation;
import com.bjlt.spider.entity.PolicyEntity;
import com.bjlt.spider.policy.dao.PolicyEntityDao;
import com.bjlt.spider.policy.service.PolicyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * sc_policy
 */
@Service
public  class PolicyServiceImpl implements PolicyService {
    @Autowired
	private PolicyEntityDao scPolicyDao;
	
	@Override
	public List<PolicyEntity> listPagePolicyEntity(PolicyEntity scPolicy){
		return scPolicyDao.listPagePolicyEntity(scPolicy);
	}

	@Override
	public List<PolicyEntity> listPolicyEntityWithCondition(AirlineInfomation infomation,String cid) {
		return scPolicyDao.listPolicyEntityWithCondition(infomation,cid);
	}

	@Override
	public List<PolicyEntity> listPolicyEntity(PolicyEntity scPolicy){
	    return scPolicyDao.listPolicyEntity(scPolicy);
	}  

	
	@Override
	public void  deletePolicyEntity(PolicyEntity scPolicy){
	     scPolicyDao.deletePolicyEntity(scPolicy);
	}
	

	
	@Override
	public void insertSelective(PolicyEntity scPolicy){
	 scPolicyDao.insertSelective(scPolicy);
	}
	
	@Override
	public void updateByPrimaryKeySelective(PolicyEntity scPolicy){
		 scPolicyDao.updateByPrimaryKeySelective(scPolicy);
	}
	
}