package com.bjlt.spider.qunaer.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 14:28 2018/1/4
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@XmlRootElement(name = "createOrderResponse")
@XmlAccessorType(XmlAccessType.NONE)
public class HbgjOrderRespEntity {
    /**
     * 错误编码 0 表示成功
     */
    @XmlElement
    private Integer code;
    /**
     * 响应信息
     */
    @XmlElement
    private String msg;
    /**
     * 订单号
     */
    @XmlElement
    private String orderID;
    /**
     * 结算价
     */
    @XmlElement
    private Double totalSettlePrice;
    /**
     * 如果没有就传 000000
     */
    @XmlElement
    private String pnrCode;
    /**
     * 额外信息 json 格式，扩展节点
     */
    @XmlElement
    private String extraData;


}