package com.bjlt.spider.qunaer.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 10:34 2018/1/16
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PriceMap implements Serializable{
    private static final long serialVersionUID = 7636605151358164102L;
    private String cabin;
    private BigDecimal childPrice;
    private BigDecimal adultPrice;
    private BigDecimal adultTax;
    private BigDecimal childTax;
    private Integer fromTag;
    private Integer retTag;
    private Integer maxSeats;
}
