package com.bjlt.spider.qunaer.entity;

import com.bjlt.spider.taobao.entity.TaobaoPassengerAux;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.Period;
import java.util.PrimitiveIterator;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class QunaerOrderParams implements Serializable {

    private static final long serialVersionUID = 4713658957009747000L;

    @JsonIgnore
    private String sourceId;

    private String cid;

    private String orderID;

    /**
     * 订单来源 1 为抢单池订单
     */
    private String orderSource;

    private String tripType;

    private String sessionId;


    private QunarRoutings routing;


    private PassengersInfo[] passengers;

    private ContactInfo contact;

    private String luggage;

    /*
    公用
     */
    private TaobaoPassengerAux[] passengerAuxs;


//
//    private String fromCity;
//
//    private String toCity;
//
//    private String fromDate;
//
//    private String retDate;
}
