package com.bjlt.spider.taobao.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 16:24 2018/1/15
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class TaobaoRouting implements Serializable{


    private static final long serialVersionUID = -1816009995065512879L;
    private String data;

    private int adultPrice;

    private int adultTax;

    private int childPrice;

    private int childTax;

    private int nationalityType;

    private String nationality;

    private String suitAge;

    private int priceType;

    private int applyType;

    private int adultTaxType;

    private int childTaxType;


    private TaobaoRule rule;


    private TaoBaoSegment[] fromSegments;

    private TaoBaoSegment[] retSegments;

    private int minPassengerCount;

    private int maxPassengerCount;

    private int gvChildRule;


}
