package com.bjlt.spider.utils;

import com.bjlt.spider.entity.SearchRequestAfterOta;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 14:02 2018/1/26
 */
public class OtaConfigGenerateKey {
    public static String fromKey(SearchRequestAfterOta ota) {
        StringBuilder sb = new StringBuilder();
        String fromCity = ota.getFromCity();
        String toCity = ota.getToCity();
        String fromDate = ota.getFromDate();

        return sb.append("ONE").append("FROMCITY-").append(fromCity).append("TOCITY-").append(toCity).append("FROMDATE-").append(fromDate).append("NUM").toString();
    }

    public static String retKey(SearchRequestAfterOta ota) {
        StringBuilder sb = new StringBuilder();
        String toCity = ota.getToCity();
        String retDate = ota.getRetDate();
        String fromCity = ota.getFromCity();
        //如果有返程 就把返程的时间作为单程的出发时间 出发城市和到达城市相反
        return sb.append("ONE").append("FROMCITY-").append(toCity).append("TOCITY-").append(fromCity).append("FROMDATE-").append(retDate).append("NUM").toString();
    }

    public static String allKey(SearchRequestAfterOta ota) {
        StringBuilder sb = new StringBuilder();
        String toCity = ota.getToCity();
        String retDate = ota.getRetDate();
        String fromCity = ota.getFromCity();
        String fromDate = ota.getFromDate();
        return sb.append("ALL").append("FROMCITY-").append(fromCity).append("TOCITY-").append(toCity).append("FROMDATE-").append(fromDate).append("RETDATE-").append(retDate).append("NUM").toString();
    }
}
