package com.bjlt.spider.hangbanguanjia.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 15:45 2017/12/15
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HbgjRespEntity {
    /**
     * 0:正常 其它:错误码,
     * 1：正常返回结果,有航线,结果无票
     * 2：正常返回结果,无航线
     * 3：异常返回结果,具体情况在 msg 节点中说明
     */
    private Integer status;
    /**
     * 错误或警告信息,正常返回填 ok
     */
    private String msg;
    /**
     * 应答时间戳
     */
    private Long timestamp;
    /**
     * 航班列表
     */
    private Flight[] flights;
    /**
     * 价格列表
     */
    private Solution[] solutions;


}
