package com.bjlt.spider.hangbanguanjia.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 16:43 2018/1/11
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@XmlRootElement(name = "createOrderResponse")
@XmlAccessorType(XmlAccessType.NONE)
public class HbgjVerifyBeforePayEntity implements Serializable{


    @XmlElement
    private Integer code;

    @XmlElement
    private String msg;

    @XmlElement
    private String orderID;
    @XmlElement
    private String hbgjOrderID;

    @XmlElement
    private Double settlePrice;

    @XmlElement
    private HbgjFlightSegment flightSegment;
}
