package com.bjlt.spider.hangbanguanjia.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 14:24 2017/12/18
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class Rule {
    /**
     * 文字描述 N
     */
    private String desc;

    /**
     * 费用结构化描述
     */
    private Charge[] charges;

    /**
     * 供应商服务费,如果无此节点，服务条款中拒绝支付额外的 服务费
     */
    private BigDecimal serviceCharge;

    /**
     * 航司行政费
     */
    private BigDecimal adminCharge;
}
