package com.bjlt.spider.hangbanguanjia.refund.dao.impl;


import com.bjlt.spider.entity.ScHbgjCharge;
import com.bjlt.spider.hangbanguanjia.refund.dao.ScHbgjChargeDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.*;

import org.springframework.stereotype.Repository;

import java.util.*;
import java.util.stream.*;
/**
* sc_hbgj_charge
*/
@Repository
public class ScHbgjChargeDaoImpl implements ScHbgjChargeDao {
	@Autowired
	private JdbcTemplate jdbcTemplate;
	@Override
	public List<ScHbgjCharge> listPageScHbgjCharge(ScHbgjCharge scHbgjCharge) {
		StringBuffer s=new StringBuffer();
		String select = "select id, 'desc', service_charge, admin_charge, 'from', to, fee, addtime, edituser, updatetime from sc_hbgj_charge ";
		s.append(select );
        Map<String,Object> m=map(scHbgjCharge);
        String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
		scHbgjCharge.setTotal(count(where,m.values().toArray()));
		s.append(where);

		String limit = " limit " + (scHbgjCharge.getStart()-1)*scHbgjCharge.getSize() + "," + scHbgjCharge.getSize();

		s.append(limit);
		RowMapper<ScHbgjCharge> rowMapper = new BeanPropertyRowMapper<ScHbgjCharge>(ScHbgjCharge.class);
		List<ScHbgjCharge> list = jdbcTemplate.query(s.toString(), rowMapper,m.values().toArray());

		return list;
	}




    @Override
    public List<ScHbgjCharge> listScHbgjCharge(ScHbgjCharge scHbgjCharge) {
        StringBuffer s=new StringBuffer();
        String select = "select id, 'desc', service_charge, admin_charge, 'from' , 'to', fee, addtime, edituser, updatetime from sc_hbgj_charge ";
        s.append(select );
        Map<String,Object> m=map(scHbgjCharge);
        String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
        s.append(where);
        RowMapper<ScHbgjCharge> rowMapper = new BeanPropertyRowMapper<ScHbgjCharge>(ScHbgjCharge.class);
        List<ScHbgjCharge> list = jdbcTemplate.query(s.toString(), rowMapper,m.values().toArray());

        return list;
	}

	private static Map<String,Object> map(ScHbgjCharge scHbgjCharge) {
		Map<String,Object> map=new HashMap();
    	if (scHbgjCharge.getId() != null) {
            map.put("id",scHbgjCharge.getId());
    	}
    	if (scHbgjCharge.getDesc() != null && !scHbgjCharge.getDesc().equals("")) {
            map.put("desc",scHbgjCharge.getDesc());
    	}
    	if (scHbgjCharge.getServiceCharge() != null) {
            map.put("service_charge",scHbgjCharge.getServiceCharge());
    	}
    	if (scHbgjCharge.getAdminCharge() != null) {
            map.put("admin_charge",scHbgjCharge.getAdminCharge());
    	}
    	if (scHbgjCharge.getFrom() != null && !scHbgjCharge.getFrom().equals("")) {
            map.put("from",scHbgjCharge.getFrom());
    	}
    	if (scHbgjCharge.getTo() != null && !scHbgjCharge.getTo().equals("")) {
            map.put("to",scHbgjCharge.getTo());
    	}
    	if (scHbgjCharge.getFee() != null && !scHbgjCharge.getFee().equals("")) {
            map.put("fee",scHbgjCharge.getFee());
    	}
    	if (scHbgjCharge.getAddtime() != null && !scHbgjCharge.getAddtime().equals("")) {
            map.put("addtime",scHbgjCharge.getAddtime());
    	}
    	if (scHbgjCharge.getEdituser() != null && !scHbgjCharge.getEdituser().equals("")) {
            map.put("edituser",scHbgjCharge.getEdituser());
    	}
    	if (scHbgjCharge.getUpdatetime() != null && !scHbgjCharge.getUpdatetime().equals("")) {
            map.put("updatetime",scHbgjCharge.getUpdatetime());
    	}

		return map;

	}
	private Integer count(String where,Object[] objects) {
		String sql = "select count(*) from sc_hbgj_charge " + where;
		return jdbcTemplate.queryForObject(sql, Integer.class,objects);
	}




}
