package com.bjlt.spider.hangbanguanjia.refund.dao.impl;
import com.bjlt.spider.entity.ScRefundHbgjPenalty;
import com.bjlt.spider.hangbanguanjia.refund.dao.ScRefundHbgjPenaltyDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.*;

import org.springframework.stereotype.Repository;

import java.util.*;
import java.util.stream.*;
/**
* sc_refund_hbgj_penalty
*/
@Repository
public class ScRefundHbgjPenaltyDaoImpl implements ScRefundHbgjPenaltyDao {
	@Autowired
	private JdbcTemplate jdbcTemplate;

    @Override
    public List<ScRefundHbgjPenalty> listScRefundHbgjPenalty(ScRefundHbgjPenalty scRefundHbgjPenalty) {
        StringBuffer s=new StringBuffer();
        String select = "select id, source_group_id, cid, is_refund, refund_rule_id, is_change, change_rule_id, is_noshow, noshow_rule_id, is_baggage, baggage_pieces, baggage_weight, edit_user, addtime, updatetime from sc_refund_hbgj_penalty ";
        s.append(select );
        Map<String,Object> m=map(scRefundHbgjPenalty);
        String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
        s.append(where);
        RowMapper<ScRefundHbgjPenalty> rowMapper = new BeanPropertyRowMapper<ScRefundHbgjPenalty>(ScRefundHbgjPenalty.class);
        List<ScRefundHbgjPenalty> list = jdbcTemplate.query(s.toString(), rowMapper,m.values().toArray());

        return list;
	}

	private static Map<String,Object> map(ScRefundHbgjPenalty scRefundHbgjPenalty) {
		Map<String,Object> map=new HashMap();
    	if (scRefundHbgjPenalty.getId() != null) {
            map.put("id",scRefundHbgjPenalty.getId());
    	}
    	if (scRefundHbgjPenalty.getSourceGroupId() != null) {
            map.put("source_group_id",scRefundHbgjPenalty.getSourceGroupId());
    	}
    	if (scRefundHbgjPenalty.getCid() != null) {
            map.put("cid",scRefundHbgjPenalty.getCid());
    	}
    	if (scRefundHbgjPenalty.getIsRefund() != null) {
            map.put("is_refund",scRefundHbgjPenalty.getIsRefund());
    	}
    	if (scRefundHbgjPenalty.getRefundRuleId() != null) {
            map.put("refund_rule_id",scRefundHbgjPenalty.getRefundRuleId());
    	}
    	if (scRefundHbgjPenalty.getIsChange() != null) {
            map.put("is_change",scRefundHbgjPenalty.getIsChange());
    	}
    	if (scRefundHbgjPenalty.getChangeRuleId() != null) {
            map.put("change_rule_id",scRefundHbgjPenalty.getChangeRuleId());
    	}
    	if (scRefundHbgjPenalty.getIsNoshow() != null) {
            map.put("is_noshow",scRefundHbgjPenalty.getIsNoshow());
    	}
    	if (scRefundHbgjPenalty.getNoshowRuleId() != null) {
            map.put("noshow_rule_id",scRefundHbgjPenalty.getNoshowRuleId());
    	}
    	if (scRefundHbgjPenalty.getIsBaggage() != null) {
            map.put("is_baggage",scRefundHbgjPenalty.getIsBaggage());
    	}
    	if (scRefundHbgjPenalty.getBaggagePieces() != null) {
            map.put("baggage_pieces",scRefundHbgjPenalty.getBaggagePieces());
    	}
    	if (scRefundHbgjPenalty.getBaggageWeight() != null) {
            map.put("baggage_weight",scRefundHbgjPenalty.getBaggageWeight());
    	}
    	if (scRefundHbgjPenalty.getEditUser() != null && !scRefundHbgjPenalty.getEditUser().equals("")) {
            map.put("edit_user",scRefundHbgjPenalty.getEditUser());
    	}
    	if (scRefundHbgjPenalty.getAddtime() != null && !scRefundHbgjPenalty.getAddtime().equals("")) {
            map.put("addtime",scRefundHbgjPenalty.getAddtime());
    	}
    	if (scRefundHbgjPenalty.getUpdatetime() != null && !scRefundHbgjPenalty.getUpdatetime().equals("")) {
            map.put("updatetime",scRefundHbgjPenalty.getUpdatetime());
    	}

		return map;

	}
	private Integer count(String where,Object[] objects) {
		String sql = "select count(*) from sc_refund_hbgj_penalty " + where;
		return jdbcTemplate.queryForObject(sql, Integer.class,objects);
	}




}
