package com.bjlt.spider.policy.service.impl;

import com.bjlt.spider.policy.dao.GlobalRulesDao;
import com.bjlt.spider.policy.entity.ScGlobalRegulate;
import com.bjlt.spider.policy.service.GlobalRulesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class GlobalRulesServiceImpl implements GlobalRulesService {

    @Autowired
    private GlobalRulesDao dao;

    @Override
    public List<ScGlobalRegulate> findByCidAndSource(String airSourceName, String cid) {
        return dao.listPageScGlobalRegulate(ScGlobalRegulate.builder().cid(cid).sourceName(airSourceName).build());

    }
}