package com.bjlt.spider.policy.service.impl;


import com.bjlt.spider.policy.service.RefundRulesService;
import com.bjlt.spider.qunaer.dao.RefundRulesDao;
import com.bjlt.spider.qunaer.entity.QunaerRule;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * sc_refund_rules
 */
@Service
public  class RefundRulesServiceImpl implements RefundRulesService {
	@Autowired
	private RefundRulesDao dao;


	@Override
	public List<QunaerRule> listPageRefundRules(QunaerRule qunaerRule) {
		return dao.listPageRefundRules(qunaerRule) ;
	}

	@Override
	public List<QunaerRule> listRefundRules(QunaerRule qunaerRule) {
		return dao.listRefundRules(qunaerRule);
	}

	@Override
	public void  deleteRefundRules(QunaerRule qunaerRule){
		dao.deleteRefundRules(qunaerRule);
	}



	@Override
	public void insertSelective(QunaerRule qunaerRule){
		dao.insertSelective(qunaerRule);
	}

	@Override
	public void updateByPrimaryKeySelective(QunaerRule qunaerRule){
		dao.updateByPrimaryKeySelective(qunaerRule);
	}

}