package com.bjlt.spider.qunaer.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 11:46 2018/1/20
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class QunaerPayRespEntity {
    /**
     * status
     Yes
     int
     0,成功；其他，失败
     msg
     Yes
     string
     提示信息
     sessionId
     Yes
     string
     会话标识：标记服务接口调用的唯一标识，相应的调用结果中会原值返回。数字或字母，长度小于50个字符，且不能为空。
     orderNo
     Yes
     string
     请求支付校验时提交的订单号。返回必须与请求参数一致。
     pnrCode
     Yes
     string
     请求支付校验时提交的PNR编码。返回必须与请求参数一致。



     routing
     Yes
     object
     报价信息，参考搜索返回结果中的 Routing Elements。
     currency
     No
     string
     1：没有该字段时，默认为RMB：currency：""
     2：有currency字段时，需输入币种所对应的合法3位字母（currency："RMB|CNY", “USD”, “ EUR”, 或“ IDR”等，大小写任意）

     */

    private int status;

    private String msg;

    private String  sessionId;

    private String orderNo;

    private String pnrCode;

    private QunarRoutings routing;
}
