package com.bjlt.spider.taobao.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 14:54 2018/1/16
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class TaobaoOrderRequestParam implements Serializable {
    private static final long serialVersionUID = 7343555030194948801L;
    private String cid;
    private String tripType;
    private String sessionId;
    private TaobaoRouting routing;
    private TaobaoPassenger[] passengers;
    private TaobaoContact contact;
    private TaobaoPassengerAux[] passengerAuxs;
}
