package com.bjlt.spider.taobao.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 15:05 2018/1/16
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class TaobaoProductItem implements Serializable {
    private static final long serialVersionUID = 3213886164797621392L;


    private String outerId;

    private String productName;

    private int productType;

    private int saleType;

    private int auxFareSource;

    private long onlinePrice;

    private TaobaoBaggage baggage;

    private TaobaoSeat seat;


}
