package com.bjlt.spider.utils;

import com.bjlt.spider.entity.OrderRequestEntity;
import com.bjlt.spider.util.RespEntity;
import lombok.extern.slf4j.Slf4j;

/**
 * @author: Scott
 * @Description:
 * @Date: Create in 11:16 2018/1/27
 */
@Slf4j
public class RestTemplateUtils {

    /**
     * 1 : 生单
     */

    public static RespEntity getOrderResp(OrderRequestEntity entity, String url) {


        try {
            log.info("发送生单请求{}{}", url, entity);
            RespEntity s = MyRestTemplate.getRestTemplate().postForObject(url, entity, RespEntity.class);

            log.info("拿到生单结果{}", s);

            return s;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }

    }
}
